Support

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 Support 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until
1.0CURRENT-

OpenAPI URL

https://support.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Get Inquiry List

1.1.1 - 1.0

get /v1/inquiries

Description

None

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querytitle
optional
title
Example : VM usage inquiry
stringNone
querystate
optional
state
Example : CLOSED
stringNone
queryinquiry_type
optional
inquiry type
Example : General Inquiry - Account and connection inquiry
stringNone
queryregion_id
optional
region id
Example : kr-west1
stringNone
querycreated_at
optional
created at
Example : 2024-06-01T00:12:57.000000Z
any of [string, null]None
queryfilter_inquiry_codes
optional
filter inquiry codes
Example : FL01,FL02
stringNone
queryfilter_states
optional
filter states
Example : TODO,INPROGRESS
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInquiryListResponse
400Bad RequestNone
401UnauthorizedNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/inquiries

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = support 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "inquiries": [
        {
            "account_id": "2010571da2f7458e97c3b881b2362b72",
            "closed_at": "2024-06-27T08:12:57.000000Z",
            "contents": "VM usage inquiry",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "files": [
                {
                    "file_name": "test.txt",
                    "id": "File-008ccb7ff65244689dacd605fafec92f",
                    "size": 298426
                }
            ],
            "id": "sr-240530-00028-nuri",
            "inquiry_code": "G01",
            "inquiry_type": "General Inquiry - Account and connection inquiry",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "region_id": "kr-west1",
            "resource_name": "lb1",
            "service_category": "Networking",
            "service_item": "Load Balancer",
            "state": "CLOSED",
            "title": "VM usage inquiry"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.2 - Get Service Request List

1.2.1 - 1.0

get /v1/service-requests

Description

None

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryfilter_operation_type_ids
optional
2010571da2f7458e97c3b881b2362b72,1h6q5kqt42f7458e97c3b881b2311utn
Example : e8fea87728164808860ad81c6ce779b6
stringNone
queryfilter_service_item_ids
optional
service item id list
Example : VIRTUAL_SERVER,LOAD_BALANCER
stringNone
queryfilter_title
optional
title
Example : Virtual Server operation related
stringNone
queryfilter_states
optional
filter states
Example : REQUESTING,CLOSED
stringNone
queryfrom_created_at
optional
from created at
Example : 2024-07-01T00:00:00Z
any of [string (date-time), null]None
queryto_created_at
optional
to created at
Example : 2024-07-05T23:59:59Z
any of [string (date-time), null]None
queryoperation_type
optional
operation type
Example : Placement Group Set Up Request
stringNone
queryservice_item_name
optional
service item
Example : Load Balancer
stringNone
querytitle
optional
title
Example : Virtual Server operation related
stringNone
querystate
optional
state
Example : REQUESTING
stringNone

Responses

HTTP CodeDescriptionSchema
200OKServiceRequestListResponse
400Bad RequestNone
401UnauthorizedNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/service-requests

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = support 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "service_requests": [
        {
            "account_id": "2010571da2f7458e97c3b881b2362b72",
            "account_name": "dev_project",
            "closed_at": "2024-06-27T08:12:57.000000Z",
            "contents": "I need assistance with working with Virtual Server.",
            "created_at": "2024-06-01T00:12:57.000000Z",
            "created_by": "e3bff0c980dc41b2b6f3ac080b6d3ba0",
            "created_by_name": "KimSamSung(test@samsung.com)",
            "files": [
                {
                    "file_name": "test.txt",
                    "id": "File-008ccb7ff65244689dacd605fafec92f",
                    "size": 298426
                }
            ],
            "id": "007d8cc7d60c4b26bb5a833b06686db3",
            "iops_result": "Processing completed.",
            "iops_sr_id": "SR0002834921",
            "modified_at": "2024-06-11T00:12:57.000000Z",
            "modified_by": "e3bff0c980dc41b2b6f3ac080b6d3ba0",
            "operation_type": "Placement Group Set Up Request",
            "region": "kr-west1",
            "service_category_name": "Networking",
            "service_item_name": "Load Balancer",
            "state": "ACTIVE",
            "template_id": "e8fea87728164808860ad81c6ce779b6",
            "title": "Virtual Server operation related"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.3 - Show Inquiry

1.3.1 - 1.0

get /v1/inquiries/{inquiry_id}

Description

None

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathinquiry_id
required
id
Example : sr-240530-00028-nuri
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInquiryShowResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/inquiries/{inquiry_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = support 1.0"

Example HTTP response

Response 200

{
    "affect": "No impact on current service",
    "affect_id": "2010571da2f7458e97c3b881b2362b72",
    "answer_comment": "Here is the answer to your inquiry.",
    "answer_type": "COMMENT / EMAIL / TEL",
    "closed_at": "2024-06-27T08:12:57.000000Z",
    "contents": "VM usage inquiry",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "created_by_name": "KimSamSung(test@samsung.com)",
    "files": [
        {
            "file_name": "test.txt",
            "id": "File-008ccb7ff65244689dacd605fafec92f",
            "size": 298426
        }
    ],
    "id": "sr-240530-00028-nuri",
    "inquiry_code": "G01",
    "inquiry_type": "General Inquiry - Account and connection inquiry",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "recipient_email": "test@samsung.com",
    "recipient_tel_nation_id": "+82",
    "recipient_telno": "01012341234",
    "region_id": "kr-west1",
    "resource_name": "lb1",
    "service_category": "Networking",
    "service_item": "Load Balancer",
    "state": "CLOSED",
    "title": "VM usage inquiry"
}

1.4 - Show Service Request

1.4.1 - 1.0

get /v1/service-requests/{service_request_id}

Description

None

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathservice_request_id
required
id
Example : 007d8cc7d60c4b26bb5a833b06686db3
stringNone

Responses

HTTP CodeDescriptionSchema
200OKServiceRequest
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/service-requests/{service_request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = support 1.0"

Example HTTP response

Response 200

{
    "account_id": "2010571da2f7458e97c3b881b2362b72",
    "account_name": "dev_project",
    "closed_at": "2024-06-27T08:12:57.000000Z",
    "contents": "I need assistance with working with Virtual Server.",
    "created_at": "2024-06-01T00:12:57.000000Z",
    "created_by": "e3bff0c980dc41b2b6f3ac080b6d3ba0",
    "created_by_name": "KimSamSung(test@samsung.com)",
    "files": [
        {
            "file_name": "test.txt",
            "id": "File-008ccb7ff65244689dacd605fafec92f",
            "size": 298426
        }
    ],
    "id": "007d8cc7d60c4b26bb5a833b06686db3",
    "iops_result": "Processing completed.",
    "iops_sr_id": "SR0002834921",
    "modified_at": "2024-06-11T00:12:57.000000Z",
    "modified_by": "e3bff0c980dc41b2b6f3ac080b6d3ba0",
    "operation_type": "Placement Group Set Up Request",
    "region": "kr-west1",
    "service_category_name": "Networking",
    "service_item_name": "Load Balancer",
    "state": "ACTIVE",
    "template_id": "e8fea87728164808860ad81c6ce779b6",
    "title": "Virtual Server operation related"
}

2 - Models

2.1 - FileResponse

NameDescriptionSchemaDefault
file_name
required
name
Example : test.txt
string
id
required
id
Example : File-008ccb7ff65244689dacd605fafec92f
string
size
required
size
Example : 298426
integer

2.2 - Inquiry

NameDescriptionSchemaDefault
account_id
required
account id
Example : 2010571da2f7458e97c3b881b2362b72
any of [string, null]
closed_at
required
closed at
Example : 2024-06-27T08:12:57.000000Z
any of [string, null]
contents
required
contents
Example : VM usage inquiry
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
files
optional

any of [array[FileResponse], null]
id
required
id
Example : sr-240530-00028-nuri
string
inquiry_code
required
inquiry code
Example : G01
string
inquiry_type
required
inquiry type
Example : General Inquiry - Account and connection inquiry
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
region_id
required
region id
Example : kr-west1
any of [string, null]
resource_name
required
resource name
Example : lb1
any of [string, null]
service_category
required
service category
Example : Networking
any of [string, null]
service_item
required
service item
Example : Load Balancer
any of [string, null]
state
required
state
Example : CLOSED
string
title
required
title
Example : VM usage inquiry
string

2.3 - InquiryListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
inquiries
required

array[Inquiry]
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.4 - InquiryShowResponse

NameDescriptionSchemaDefault
affect
required
affect
Example : No impact on current service
any of [string, null]
affect_id
required
affect id
Example : 2010571da2f7458e97c3b881b2362b72
any of [string, null]
answer_comment
required
answer comment
Example : Here is the answer to your inquiry.
any of [string, null]
answer_type
optional
answer type
Example : COMMENT / EMAIL / TEL
any of [string, null]
closed_at
required
closed at
Example : 2024-06-27T08:12:57.000000Z
any of [string, null]
contents
required
contents
Example : VM usage inquiry
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
created_by_name
optional
created by name and email
Example : KimSamSung(test@samsung.com)
any of [string, null]
files
optional

any of [array[FileResponse], null]
id
required
id
Example : sr-240530-00028-nuri
string
inquiry_code
required
inquiry code
Example : G01
string
inquiry_type
required
inquiry type
Example : General Inquiry - Account and connection inquiry
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
recipient_email
optional
eamil
Example : test@samsung.com
any of [string, null]
recipient_tel_nation_id
optional
nation id
Example : +82
any of [string, null]
recipient_telno
optional
tel no
Example : 01012341234
any of [string, null]
region_id
required
region id
Example : kr-west1
any of [string, null]
resource_name
required
resource name
Example : lb1
any of [string, null]
service_category
required
service category
Example : Networking
any of [string, null]
service_item
required
service item
Example : Load Balancer
any of [string, null]
state
required
state
Example : CLOSED
string
title
required
title
Example : VM usage inquiry
string

2.5 - ServiceRequest

NameDescriptionSchemaDefault
account_id
required
account id
Example : 2010571da2f7458e97c3b881b2362b72
string
account_name
required
account name
Example : dev_project
any of [string, null]
closed_at
optional
closed at
Example : 2024-06-27T08:12:57.000000Z
any of [string, null]
contents
required
contents
Example : I need assistance with working with Virtual Server.
string
created_at
required
created at
Example : 2024-06-01T00:12:57.000000Z
string
created_by
required
created by
Example : e3bff0c980dc41b2b6f3ac080b6d3ba0
string
created_by_name
optional
created by name and email
Example : KimSamSung(test@samsung.com)
any of [string, null]
files
optional

any of [array[FileResponse], null]
id
required
id
Example : 007d8cc7d60c4b26bb5a833b06686db3
string
iops_result
optional
iops result
Example : Processing completed.
any of [string, null]
iops_sr_id
required
iops sr id
Example : SR0002834921
string
modified_at
required
modified at
Example : 2024-06-11T00:12:57.000000Z
string
modified_by
required
modified by
Example : e3bff0c980dc41b2b6f3ac080b6d3ba0
string
operation_type
required
operation type
Example : Placement Group Set Up Request
string
region
required
region
Example : kr-west1
string
service_category_name
required
service category
Example : Networking
string
service_item_name
required
service item
Example : Load Balancer
string
state
required
state
Example : ACTIVE
string
template_id
required
template_id
Example : e8fea87728164808860ad81c6ce779b6
string
title
required
title
Example : Virtual Server operation related
string

2.6 - ServiceRequestListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
service_requests
required

array[ServiceRequest]
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]